VTK: vtkVector4i Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | List of all members
vtkVector4i Class Reference

`#include <vtkVector.h>`

Inheritance diagram for vtkVector4i:
[legend]
Collaboration diagram for vtkVector4i:
[legend]

## Public Types
typedef vtkVector4< int > | Superclass

## Public Member Functions
| vtkVector4i ()=default
| vtkVector4i (int x, int y, int z, int w)
| vtkVectorDerivedMacro (vtkVector4i, int, 4)
Public Member Functions inherited from vtkVector4< int >
| vtkVector4 ()=default
| vtkVector4 (const int &scalar)
| vtkVector4 (const int *init)
| vtkVector4 (const int &x, const int &y, const int &z, const int &w)
void | SetX (const int &x)
| Set the x component of the vector, i.e. More...
const int & | GetX () const
| Get the x component of the vector, i.e. More...
void | SetY (const int &y)
| Set the y component of the vector, i.e. More...
const int & | GetY () const
| Get the y component of the vector, i.e. More...
void | SetZ (const int &z)
| Set the z component of the vector, i.e. More...
const int & | GetZ () const
| Get the z component of the vector, i.e. More...
void | SetW (const int &w)
| Set the w component of the vector, i.e. More...
const int & | GetW () const
| Get the w component of the vector, i.e. More...
void | Set (const int &x, const int &y, const int &z, const int &w)
| Set the x, y, z and w components of a 3D vector in homogeneous coordinates. More...
Public Member Functions inherited from vtkVector< T, Size >
| vtkVector ()=default
| vtkVector (const T &scalar)
| Initialize all of the vector's elements with the supplied scalar. More...
| vtkVector (const T *init)
| Initialize the vector's elements with the elements of the supplied array. More...
double | Norm () const
| Get the norm of the vector, i.e. More...
T | SquaredNorm () const
| Get the squared norm of the vector. More...
double | Normalize ()
| Normalize the vector in place. More...
vtkVector< T, Size > | Normalized () const
| Return the normalized form of this vector. More...
T | Dot (const vtkVector< T, Size > &other) const
| The dot product of this and the supplied vector. More...
vtkVector< T, Size > | operator- (const vtkVector< T, Size > &other) const
| Substraction operation of this and the supplied vector. More...
vtkVector< T, Size > | operator* (const T &other) const
| Multiply this vector by a scalar value. More...
template<typename TR >
vtkVector< TR, Size > | Cast () const
| Cast the vector to the specified type, returning the result. More...
Public Member Functions inherited from vtkTuple< T, Size >
| vtkTuple ()=default
| The default constructor does not initialize values. More...
| vtkTuple (const T &scalar)
| Initialize all of the tuple's elements with the supplied scalar. More...
| vtkTuple (const T *init)
| Initialize the tuple's elements with the elements of the supplied array. More...
| vtkTuple (const std::array< T, Size > &values)
| Initialize the tuple's elements using a `std::array` for matching type and size. More...
int | GetSize () const
| Get the size of the tuple. More...
T * | GetData ()
| Get a pointer to the underlying data of the tuple. More...
const T * | GetData () const
T & | operator[] (int i)
| Get a reference to the underlying data element of the tuple. More...
const T & | operator[] (int i) const
T | operator() (int i) const
| Get the value of the tuple at the index specified. More...
bool | Compare (const vtkTuple< T, Size > &other, const T &tol) const
| Equality operator with a tolerance to allow fuzzy comparisons. More...
template<typename TR >
vtkTuple< TR, Size > | Cast () const
| Cast the tuple to the specified type, returning the result. More...

## Additional Inherited Members
Protected Attributes inherited from vtkTuple< T, Size >
T | Data [Size]
| The only thing stored in memory! More...

## Detailed Description

Definition at line 531 of file vtkVector.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkVector4<int> vtkVector4i::Superclass

Definition at line 534 of file vtkVector.h.

## Constructor & Destructor Documentation

## ◆ vtkVector4i() [1/2]

vtkVector4i::vtkVector4i | ( |  | ) |
| default

## ◆ vtkVector4i() [2/2]

vtkVector4i::vtkVector4i | ( | int | x,
|  | int | y,
|  | int | z,
|  | int | w
| ) |  |
| inline

Definition at line 536 of file vtkVector.h.

## Member Function Documentation

## ◆ vtkVectorDerivedMacro()

vtkVector4i::vtkVectorDerivedMacro | ( | vtkVector4i | ,
|  | int | ,
|  | 4 |
| ) |  |

The documentation for this class was generated from the following file:

- Common/DataModel/vtkVector.h